<%@ page isErrorPage="true" import="java.io.PrintWriter,java.util.*" %>
<%
    Object statusCode = request.getAttribute("javax.servlet.error.status_code"); 
    Object exceptionType = request.getAttribute("javax.servlet.error.exception_type"); 
    Object message = request.getAttribute("javax.servlet.error.message"); 
%>
<%@ include file="/includes/head.inc" %>

<body>
  <div class="container">
    <%@ include file="/includes/top.inc" %>
  
    <div class="main">
      <h1 id="pagetitle"><bean:message key="complex.header.list" bundle="complex"/></h1>

      <div class="content">

       <div class="corner-content-1col-top"></div>
          <page:paginate name="complexs" form="complex-form" size="20" pages="10">
          <page:reminder property="selection" value="id"/>
          <page:empty-marker property="selection"/>
        <div class="content-1col-nobox">
   <P><A href="<%=response.encodeURL(request.getContextPath()) %>">Home</A></P>
<hr>
<H2>An Error has occured:</H2>

<TABLE CELLPADDING="2" CELLSPACING="2" BORDER="1" WIDTH="100%">
    <TR>
	<TD WIDTH="20%"><B>Status Code</B></TD> 
	<TD WIDTH="80%"><%= statusCode %></TD>
    </TR>
    <TR>
	<TD WIDTH="20%"><B>Exception Type</B></TD> 
	<TD WIDTH="80%"><%= exceptionType %></TD>
    </TR>
    <TR>
	<TD WIDTH="20%"><B>Message</B></TD> 
	<TD WIDTH="80%"><%= message %></TD>
    </TR>
    <TR>
	<TD WIDTH="20%"><B>Exception</B></TD> 
	<TD WIDTH="80%">
	    <%
		if( exception != null )
		{
		    out.print("<PRE>");
		    exception.printStackTrace(new PrintWriter(out));
		    out.print("</PRE>");
		}    
	    %>
	</TD>
    </TR>
    <TR>
	<TD WIDTH="20%"><B>Root Cause</B></TD> 
	<TD>
	    <%
		if( (exception != null) && (exception instanceof ServletException) )
		{
		    Throwable cause = ((ServletException)exception).getRootCause();
		    if( cause != null )
		    {
			out.print("<PRE>");
			cause.printStackTrace(new PrintWriter(out));
			out.print("</PRE>");
		    }
		}            
	    %>
	</TD>
    </TR>
</TABLE>

<hr>
Header List
<table border=3>
<tr>
 <td>Name</td>
 <td>Value</td>
</tr>
<%
String name  = "";
String value = "";

java.util.Enumeration headers = request.getHeaderNames();
while(headers.hasMoreElements())
{
 name  = (String) headers.nextElement();
 value = request.getHeader(name);
%>
<tr>
 <td><%=name%></td>
 <td><%=value%></td>
</tr>
<%
}
%>
</table>

Attribute List
<!-- "javax.servlet.jsp.jspException" for getting an Exception -->
<table border=3>
<%
java.util.Enumeration attributes = request.getAttributeNames();
while(attributes.hasMoreElements())
{
 name  = (String) attributes.nextElement();

 if (request.getAttribute(name) == null)
 {
  value = "null";
 }
 else
 {
  value = request.getAttribute(name).toString();
 }
%>
<tr>
 <td><%=name%></td>
 <td><%=value%></td>
</tr>
<%
}
%>
</table>
        <div class="corner-content-1col-bottom"></div>
    

      <div class="subcontent">
        <div class="corner-subcontent-top"></div>                        
        <div class="subcontent-box">
          <h1>4-04. Text</h1>
          <h5>Paragraph</h5>
          <p>Standard text text text text text text text text text text text text text text text text text text text text text text text text text text text text text text text text text text text text text text text text text text text text text text text text text text text text text text text text text text text text text text text</p>
        </div>  
        <div class="corner-subcontent-bottom"></div>
      </div>    
    </div>

    <%@ include file="/includes/bottom.inc" %>

  </div>
</body>

<%@ include file="/includes/footer.inc" %>